body {
    color: #1e1e1e;
}

.app {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.main-area {
    display: flex;
    flex-direction: row;
    flex: 1;
    overflow-x: auto;

    &__left-pane{
        width: 350px;
        overflow-y: auto;
    }

    &__form {
        overflow-y: scroll;
        padding-right: 30px;
        flex: 1;
    }

    &__viewport {
        flex:1;
        overflow: hidden;
        background: #fffbf5;
        box-shadow: inset 0 0 5px rgba(0,0,0,0.5);
    }
}

.toolbar {
    display: flex;
    flex-direction: row;

    & button {
        border-radius: 0px;
        background: #cfcfcf;
        border: none;
        margin: 5px;
    }
    & button:hover {
        background: #e4e4e4;
    }
}
.panels {
    display: flex;
    flex: 1;
    flex-direction: column;
}

.pane {
    padding: 5px;
    display: flex;
    flex-direction: column;
    background: #cfcfcf;

    .card {
        background: #e4e4e4;
        margin-bottom: 10px;
        min-height: 0;

        &-header {
            background: #efefef;
            font-size: 1em;
        }

        &-body {
            overflow-y: auto;
        }
    }
}

.project-browser-panel {
    max-height: 50%;
    height: auto;
}

.project_browser {
    max-height: 50vh;
    overflow-y: scroll;
    display: flex;
    flex-direction: column;

    &__nodes {
        flex:1;
        background: #1e1e1e;
    }

    &__node {
    }

    &__actions {
        display: flex;

        & button {
            flex:1;
        }
    }
}

.folder-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    background: #f5f5f5;
    color: #1e1e1e;
    padding: 0 3px 0 10px;
    border-bottom: 1px solid #d2d2d2;
    cursor: default;

    &--folded {
        color: #828282;
    }

    &__caret {
        width: 15px;
    }

    &__title {
        flex: 1
    }

    & .add-button {
        transform: scale(0.8);
        font-weight:500;
    }

}

.folder-body {
    margin-left: 10px;
    background: #636363;
    min-height: 5px;
}

.folder-node {
    display: flex;
    flex-direction: row;
    padding: 0 6px;
    color: #636363;
    align-items: center;
    background: #cfcfcf;
    border-left: 3px solid #aaa;
    border-bottom: 1px solid #a5a4a4;
    cursor: default;

    &__title {
        flex:1;
    }

    &--selected {
        color: #1e1e1e;
        border-left: 3px solid #297fff;
        background: #f5f5f5;
    }

    & .delete {
        outline: none;
        background-color: transparent;
        border: 0;
        float: right;
        font-size: 1.5rem;
        font-weight: 700;
        line-height: 1;
        color: #000;
        text-shadow: 0 1px 0 #fff;
        opacity: .5;
        padding: 0;
        cursor: pointer;
        overflow: hidden;

        &:hover {
            opacity: 1;
        }
    }
}

.node-properties-panel {
    flex: 1;
}

.material-registry-btn {
    margin-left: auto;
    transform: scale(0.8);
}

.material-registry-editor-dialog {
    width: 90%;
    max-width: none !important;

    & .modal-body {
        overflow-x: auto;
    }

    & form {
        min-width: 1024px;
    }
}
